{% extends "templates/base.html" %} {% block body %}
<div class="container">
  <form
    method="POST"
    action="/refine/{{refinement.code}}/ticket/{{ticket.id}}/estimate"
  >
    <input type="hidden" name="points" id="points" value="0" />
    <input type="hidden" name="session-num" value="{{ticket.current-session.num}}" />
    <div class="row">
      <div class="col">
        <p>
          We are estimating ticket
          <a href="{{ticket.link-to-original}}">{{ticket.id}}</a>
        </p>
        <div class="mb-4">
          <label class="form-label" for="name">Your name</label>
          <div class="input-group">
            <input
              class="form-control"
              type="text"
              id="name"
              name="name"
              {%
              if
              name
              %}value="{{name}}"
              {%
              endif
              %}
              placeholder="Insert your name here"
              required
            />
          </div>
        </div>
      </div>
      <div class="col">
        <h4 class="mb-4">
          Total story points <span id="total-story-points">0</span>
        </h4>
        <button class="btn btn-primary" onclick="copy_estimation_link('{{refinement.code}}', '{{ticket.id}}'); return false;">
          Copy link to estimation page
        </button>
      </div>
    </div>
    <div class="row">
      <div class="col">
        <h4>Points breakdown</h4>
        <table class="table table-bordered">
          <tbody class="estimationTopicsContainer"></tbody>
        </table>
        <div class="d-flex align-items-center justify-content-end">
          <button class="btn btn-primary me-2" name="estimate-button">
            Estimate!
          </button>
          or
          <button class="btn btn-secondary ms-2" name="skip-button">
            Skip...
          </button>
        </div>
      </div>
    </div>
  </form>
</div>

<script type="text/javascript" src="/assets/sse.js"></script>
<script type="text/javascript" src="/assets/main.js"></script>
<script type="text/javascript">
  startVotingPage('{{refinement.settings.estimation-cheatsheet}}');
</script>
{% endblock %}
